package projectzombie.settings;

import projectzombie.world.chunk.Chunk;

public class Environment
{
	public static String gdir = "./run/";
	
	public static void init(String args[])
	{
		for(String arg : args)
		{
			// --gdir=<game directory>
			if(arg.startsWith("--gdir")) {
				String[] split = arg.split("=");
				if(split.length == 2) {
					gdir = split[1];
				}
			}
			
			if(arg.startsWith("--show-chunks")) {
				Chunk.SHOW_CHUNKS = true;
			}
		}
	}
}
